[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# IProviderSupport.PSIsSQLBased

Is the dataset SQL based

## Declaration

Source position: db.pas line 1336

`function IProviderSupport.PSIsSQLBased: Boolean;`

## Function result

True if the dataset is based on an SQL statement

## Description

PSIsSQLBased returns True if the dataset is SQL based or not. Note that this is different from PSIsSQLSupported which indicates whether SQL statements can be executed using PSExecuteCommand

## See also

PSIsSQLSupported
PSExecuteCommand

Documentation generated on: Feb 26 2014